Package org.jbpm.services.task.impl.model

## Class GroupImpl

- java.lang.Object
- - org.jbpm.services.task.impl.model.OrganizationalEntityImpl
  - - org.jbpm.services.task.impl.model.GroupImpl

- All Implemented Interfaces:
    `Externalizable`, `Serializable`, `org.kie.api.task.model.Group`, `org.kie.api.task.model.OrganizationalEntity`, `org.kie.internal.task.api.model.InternalOrganizationalEntity`

      @Entity
      public class GroupImpl
      extends OrganizationalEntityImpl
      implements org.kie.api.task.model.Group

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `GroupImpl()` |
    `GroupImpl​(String id)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `readExternal​(ObjectInput in)` |
    `void` | `writeExternal​(ObjectOutput out)` |

    - ### Methods inherited from class org.jbpm.services.task.impl.model.OrganizationalEntityImpl

      `equals, getId, hashCode, setId, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.kie.api.task.model.OrganizationalEntity

      `getId`

- - ### Constructor Detail

    - #### GroupImpl

          public GroupImpl()

    - #### GroupImpl

          public GroupImpl​(String id)

  - ### Method Detail

    - #### writeExternal

          public void writeExternal​(ObjectOutput out)
                             throws IOException

      Specified by:
        `writeExternal` in interface `Externalizable`
      Overrides:
        `writeExternal` in class `OrganizationalEntityImpl`
      Throws:
        `IOException`

    - #### readExternal

          public void readExternal​(ObjectInput in)
                            throws IOException,
                                   ClassNotFoundException

      Specified by:
        `readExternal` in interface `Externalizable`
      Overrides:
        `readExternal` in class `OrganizationalEntityImpl`
      Throws:
        `IOException`
        `ClassNotFoundException`